-- TESTS DE CONSULTES.


SET SERVEROUTPUT ON
SET LINESIZE 120

-- CONSULTA R6A
-- ENTRADA: LOCALITAT, I DATA
-- SORTIDA: RSP
-- CONSULTA : LLISTAT DELS COMPTADORS ON EL CONSUM MENSUAL DE LA DATA
-- 		INDICADA HA SUPERAT EL 80% DEL CONSUM MITJ DE TOTS 
--		ELS COMPTADORS DE LA CIUTAT EN AQUELL MATEIX PERODE DE TEMPS.
-- LLISTAT : CODI DE CONTRACTE, POTNCIA MX. CONTRACTADA, TANT PER CENT EN RELACI A LA MITJANA.

DECLARE
RSP VARCHAR(300);
BEGIN
DBMS_OUTPUT.PUT_LINE('EXEMPLE CONSULTA R6A.');
DBMS_OUTPUT.PUT_LINE('INSTRUCCIO : PR_CONSULTA_R6A(''BARCELONA'',''31/01/2011'',RSP);');
DBMS_OUTPUT.PUT_LINE('');
PR_CONSULTA_R6A('BARCELONA','31/01/2011',RSP);
DBMS_OUTPUT.PUT_LINE('RSP ---->'||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('====================================================================.');
DBMS_OUTPUT.PUT_LINE('');
END;
/

PROMPT POLSAR TECLA PER CONTINUAR...
PAUSE
--------------------------------------------------------------------

-- CONSULTA R6B
-- ENTRADA: num rankings del llistat
-- SORTIDA: RSP
-- CONSULTA : LLISTAT DE LES X CENTRALETES DE DISTRIBUCIO QUE DISTRIBUEIXEN MES ENERGIA
-- LLISTAT : IDCDIST, ADREA, ENERGIA EMESA ANUAL I EL SEU MAXKWH ANUAL SUPORTAT.
DECLARE
RSP VARCHAR(300);
BEGIN
DBMS_OUTPUT.PUT_LINE('EXEMPLE CONSULTA R6B.');
DBMS_OUTPUT.PUT_LINE('INSTRUCCIO : PR_CONSULTA_R6B(10,RSP);');
DBMS_OUTPUT.PUT_LINE('');
PR_CONSULTA_R6B(10,RSP);
DBMS_OUTPUT.PUT_LINE('RSP ---->'||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('====================================================================.');
DBMS_OUTPUT.PUT_LINE('');
END;
/



PROMPT POLSAR TECLA PER CONTINUAR...
PAUSE


-- CONSULTA R6C
-- ENTRADA: NUM. POSICIONS RNKING A LLISTAR.
-- SORTIDA: RSP
-- CONSULTA : LINIES DE COMUNICACI MS CARREGADES EN RELACI A LA SEVA CAPACITAT MXIMA.
-- LLISTAT : idLINIA, CONSUM ANUAL, % DE CARREGA RESPECTE AL SEU MAXIM.

DECLARE
RSP VARCHAR(300);
BEGIN
DBMS_OUTPUT.PUT_LINE('EXEMPLE CONSULTA R6C.');
DBMS_OUTPUT.PUT_LINE('INSTRUCCIO : PR_CONSULTA_R6C(10,NULL,RSP);');
DBMS_OUTPUT.PUT_LINE('');
PR_CONSULTA_R6C(10,NULL,RSP);
DBMS_OUTPUT.PUT_LINE('RSP ---->'||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('====================================================================.');
DBMS_OUTPUT.PUT_LINE('');
END;
/



DECLARE
RSP VARCHAR(300);
BEGIN
DBMS_OUTPUT.PUT_LINE('EXEMPLE CONSULTA R6C. AMB ANY QUE VULGUEM');
DBMS_OUTPUT.PUT_LINE('INSTRUCCIO : PR_CONSULTA_R6C(10,''2010'',RSP);');
DBMS_OUTPUT.PUT_LINE('');
PR_CONSULTA_R6C(10,'2010',RSP);
DBMS_OUTPUT.PUT_LINE('RSP ---->'||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('====================================================================.');
DBMS_OUTPUT.PUT_LINE('');
END;
/

PROMPT POLSAR TECLA PER CONTINUAR...
PAUSE
-------------------------------------------



-- CONSULTA R6D
-- ENTRADA: CAP
-- SORTIDA: RSP
-- CONSULTA: LLISTAT DE CLIENTS AMB COMPTADORS EN ALTA DISPONIBILITAT.
-- LLISTAT: IDCLIENT,NIF, CODI CONTRACTE, MODEL COMPTADOR.

DECLARE
RSP VARCHAR(300);
BEGIN
DBMS_OUTPUT.PUT_LINE('EXEMPLE CONSULTA R6D.');
DBMS_OUTPUT.PUT_LINE('INSTRUCCIO : PR_CONSULTA_R6D(RSP);');
DBMS_OUTPUT.PUT_LINE('');
PR_CONSULTA_R6D(RSP);
DBMS_OUTPUT.PUT_LINE('RSP ---->'||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('====================================================================.');
DBMS_OUTPUT.PUT_LINE('');
END;
/

PROMPT POLSAR TECLA PER CONTINUAR...
PAUSE


DECLARE
RSP VARCHAR(300);
BEGIN
DBMS_OUTPUT.PUT_LINE('EXEMPLE CONSULTA R6D. MODIFICANT CONNLINIA ');
DBMS_OUTPUT.PUT_LINE(' COMPTADOR 17 PENJARA D''UNA SOLA C. PROD  ');
DBMS_OUTPUT.PUT_LINE(' I LES SEVES DADES DE CONTRACTE, ETC NO SORTIRAN AL LLISTAT');
pr_modifica_connlinia(8,10,4,'B',0,rsp);
pr_modifica_connlinia(9,10,4,'B',0,rsp);

DBMS_OUTPUT.PUT_LINE('INSTRUCCIO : PR_CONSULTA_R6D(RSP);');
DBMS_OUTPUT.PUT_LINE('');
PR_CONSULTA_R6D(RSP);
DBMS_OUTPUT.PUT_LINE('RSP ---->'||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('====================================================================.');
DBMS_OUTPUT.PUT_LINE('');
END;
/


DECLARE
RSP VARCHAR(300);
BEGIN
DBMS_OUTPUT.PUT_LINE('EXEMPLE CONSULTA R6D. MODIFICANT CONNCOMPTADOR ');
DBMS_OUTPUT.PUT_LINE(' COMPTADOR 5 PENJARA D''UNA SOLA C. DIST ');
DBMS_OUTPUT.PUT_LINE(' I LES SEVES DADES DE CONTRACTE, ETC NO SORTIRAN AL LLISTAT');
pr_modifica_connCOMPTADOR(5,3,'B',0,rsp);


DBMS_OUTPUT.PUT_LINE('INSTRUCCIO : PR_CONSULTA_R6D(RSP);');
DBMS_OUTPUT.PUT_LINE('');
PR_CONSULTA_R6D(RSP);
DBMS_OUTPUT.PUT_LINE('RSP ---->'||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('====================================================================.');
DBMS_OUTPUT.PUT_LINE('');

DBMS_OUTPUT.PUT_LINE('ES DEIXA LES LINIES COM ESTAVEN AL PRINCIPI');
pr_modifica_connlinia(8,10,4,'S',0,rsp);
pr_modifica_connlinia(9,10,4,'S',0,rsp);
pr_modifica_connCOMPTADOR(5,3,'S',0,rsp);

END;
/
PROMPT POLSAR TECLA PER CONTINUAR...
PAUSE


-- CONSULTA R6E
-- ENTRADA : IDCPROD, DATA INICI, DATA FI
-- SORTIDA : RSP
-- CONSULTA: CONSUM EN EL INTERVAL DELS COMPTADORS QUE PENGEN DE LA CPROD
-- LLISTAT : SUMA DE CONSUM PER AQUELLA IDCPROD.

DECLARE
RSP VARCHAR2(300);
BEGIN
DBMS_OUTPUT.PUT_LINE('EXEMPLE CONSULTA R6E.');
DBMS_OUTPUT.PUT_LINE('INSTRUCCIO : PR_CONSULTA_R6E(1,''01/01/2011'',''31/12/2011'',RSP);');
DBMS_OUTPUT.PUT_LINE('');
PR_CONSULTA_R6E(1,'01/01/2011','31/12/2011',RSP);
DBMS_OUTPUT.PUT_LINE('RSP ---->'||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('====================================================================.');
DBMS_OUTPUT.PUT_LINE('');
END;
/




DECLARE
RSP VARCHAR2(300);
BEGIN
DBMS_OUTPUT.PUT_LINE('EXEMPLE CONSULTA R6E.ALTRE DATES');
DBMS_OUTPUT.PUT_LINE('INSTRUCCIO : PR_CONSULTA_R6E(3,''30/11/2011'',''31/03/2012'',RSP);');
DBMS_OUTPUT.PUT_LINE('');
PR_CONSULTA_R6E(3,'30/11/2011','31/03/2012',RSP);
DBMS_OUTPUT.PUT_LINE('RSP ---->'||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('====================================================================.');
DBMS_OUTPUT.PUT_LINE('');
END;
/

PROMPT POLSAR TECLA PER CONTINUAR...
PAUSE



-- CONSULTA R6F
-- ENTRADA : DATA INICI, DATA FI.
-- SORTIDA : RSP
-- CONSULTA: PERCENTATGE DE LECTURES TELEMATIQUES I PRESENCIALS EN EL PERIODE
-- LLISTAT : TOTAL DE LECTURES I PERCENTATGE DE LECTURES DE CADA TIPUS.

DECLARE
RSP VARCHAR2(300);
BEGIN
DBMS_OUTPUT.PUT_LINE('EXEMPLE CONSULTA R6F.');
DBMS_OUTPUT.PUT_LINE('INSTRUCCIO : PR_CONSULTA_R6F(''01/01/2011'',''31/01/2011'',RSP);');
DBMS_OUTPUT.PUT_LINE('');
PR_CONSULTA_R6F('01/01/2011','31/01/2011',RSP);
DBMS_OUTPUT.PUT_LINE('RSP ---->'||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('====================================================================.');
DBMS_OUTPUT.PUT_LINE('');
END;
/

PROMPT POLSAR TECLA PER CONTINUAR...
PAUSE

-----------------


-- CONSULTA R6g
-- ENTRADA : NOMBRE D'ANYS D'ANTIGUITAT
-- SORTIDA : RSP
-- CONSULTA: COMPTADORS QUE TINGUIN ELS ANYS D'ANTIGUITAT DONATS
-- RETORNA : IDCOMPTADORS QUE TINGUIN AQUELLA ANTIGUITAT

DECLARE
RSP VARCHAR2(300);
BEGIN
DBMS_OUTPUT.PUT_LINE('EXEMPLE CONSULTA R6G.');
DBMS_OUTPUT.PUT_LINE('INSTRUCCIO : PR_CONSULTA_R6G(10,RSP);');
DBMS_OUTPUT.PUT_LINE('');
PR_CONSULTA_R6G(10,RSP);
DBMS_OUTPUT.PUT_LINE('RSP ---->'||RSP);
END;
/


PROMPT FI DE LES PROVES DE CONSULTES....
@