SET SERVEROUTPUT ON
SET LINESIZE 120

/*********************************************************************
	AQUEST SCRIPT REALITZA LES PROVES DE MODIFICACIONS
	EN EL ORDRE SEGENT:

	- MODIFICACI COMPTADOR
	- MODIFICACI CLIENT
	- MODIFICACI CENTRAL DISTRIBUCI
	- MODIFICACI CENTRAL DE PRODUCCI
	- MODIFICACI LNIA
	- MODIFICACI CONNLNIA.
	- MODIFICACI CONNCOMPTADOR.

 DESDE SQL*PLUS ENTRE CADASC, S'HA DE POLSAR UNA TECLA PER CONTINUAR

***********************************************************************/
DECLARE
RSP VARCHAR2(300);
BEGIN

DBMS_OUTPUT.PUT_LINE('TEST : MODIFICACIO COMPTADOR - COMPTADOR NO EXISTEIX');
DBMS_OUTPUT.PUT_LINE('INSTRUCCIO: PR_MODIFICA_COMPTADOR(77575,''C/MODIFICADA 1'', ''08888'', ''BARCELONA'', NULL,RSP);');
PR_MODIFICA_COMPTADOR(77575,'C/MODIFICADA 1', '08888', 'BARCELONA', NULL,RSP);
DBMS_OUTPUT.PUT_LINE('RSP  ----> '||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('==========================================================================');
DBMS_OUTPUT.PUT_LINE('');



DBMS_OUTPUT.PUT_LINE('TEST : MODIFICACIO COMPTADOR - IDCOMPTADOR AMB VALOR NULL');
DBMS_OUTPUT.PUT_LINE('INSTRUCCIO: PR_MODIFICA_COMPTADOR(NULL,''C/MODIFICADA 1'', ''08888'', ''BARCELONA'', NULL,RSP);');
PR_MODIFICA_COMPTADOR(NULL,'C/MODIFICADA 1', '08888', 'BARCELONA', NULL,RSP);
DBMS_OUTPUT.PUT_LINE('RSP  ----> '||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('==========================================================================');
DBMS_OUTPUT.PUT_LINE('');



DBMS_OUTPUT.PUT_LINE('TEST : MODIFICACIO COMPTADOR - CORRECTE');

DBMS_OUTPUT.PUT_LINE('INSTRUCCIO: PR_MODIFICA_COMPTADOR(4,''C/MODIFICADA 4'', ''08888'', ''BARCELONA'', NULL,RSP);');
PR_MODIFICA_COMPTADOR(4,'C/MODIFICADA 4', '08888', 'BARCELONA', NULL,RSP);
DBMS_OUTPUT.PUT_LINE('RSP  ----> '||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('==========================================================================');
DBMS_OUTPUT.PUT_LINE('');


END;

/

PROMPT POLSAR TECLA PER CONTINUAR....
PAUSE



DECLARE
RSP VARCHAR2(300);
BEGIN

DBMS_OUTPUT.PUT_LINE('TEST : MODIFICACIO CLIENT - CLIENT NO EXISTEIX');
DBMS_OUTPUT.PUT_LINE('INSTRUCCIO: PR_MODIFICA_CLIENT(464646,''C/MODIFCLI 5'', NULL, NULL, NULL,RSP);');
PR_MODIFICA_CLIENT(464646,'C/MODIFCLI 5', NULL, NULL, NULL,RSP);
DBMS_OUTPUT.PUT_LINE('RSP  ----> '||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('==========================================================================');
DBMS_OUTPUT.PUT_LINE('');



DBMS_OUTPUT.PUT_LINE('TEST : MODIFICACIO CLIENT - CLIENT AMB VALOR NULL');
DBMS_OUTPUT.PUT_LINE('INSTRUCCIO: PR_MODIFICA_CLIENT(NULL,''C/MODIFCLI 5'', NULL, NULL, NULL,RSP);');
PR_MODIFICA_CLIENT(NULL,'C/MODIFCLI 5', NULL, NULL, NULL,RSP);
DBMS_OUTPUT.PUT_LINE('RSP  ----> '||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('==========================================================================');
DBMS_OUTPUT.PUT_LINE('');



DBMS_OUTPUT.PUT_LINE('TEST : MODIFICACIO CLIENT - CORRECTE');

DBMS_OUTPUT.PUT_LINE('INSTRUCCIO: PR_MODIFICA_CLIENT(1,''C/MODIFCLI 5'', NULL, NULL, NULL,RSP);');
PR_MODIFICA_CLIENT(1,'C/MODIFCLI 5', NULL, NULL, NULL,RSP);
DBMS_OUTPUT.PUT_LINE('RSP  ----> '||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('==========================================================================');
DBMS_OUTPUT.PUT_LINE('');

END;

/

PROMPT POLSAR TECLA PER CONTINUAR....
PAUSE



DECLARE
RSP VARCHAR2(300);
BEGIN

DBMS_OUTPUT.PUT_LINE('TEST : MODIFICACIO C. DISTRIBUCIO - IDCDIST NO EXISTEIX');
DBMS_OUTPUT.PUT_LINE('INSTRUCCIO: PR_MODIFICA_CENTRALDIST(464646,''C/MODIFCDIST 4'', NULL, NULL, NULL,800, RSP);');
PR_MODIFICA_CENTRALDIST(464646,'C/MODIFCDIST 4', NULL, NULL, NULL,800,RSP);
DBMS_OUTPUT.PUT_LINE('RSP  ----> '||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('==========================================================================');
DBMS_OUTPUT.PUT_LINE('');


DBMS_OUTPUT.PUT_LINE('TEST : MODIFICACIO C. DISTRIBUCIO - IDCDIST AMB VALOR NULL');
DBMS_OUTPUT.PUT_LINE('INSTRUCCIO: PR_MODIFICA_CENTRALDIST(NULL,''C/MODIFCDIST 4'', NULL, NULL, NULL,800, RSP);');
PR_MODIFICA_CENTRALDIST(NULL,'C/MODIFCDIST 4', NULL, NULL, NULL,800,RSP);
DBMS_OUTPUT.PUT_LINE('RSP  ----> '||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('==========================================================================');
DBMS_OUTPUT.PUT_LINE('');


DBMS_OUTPUT.PUT_LINE('TEST : MODIFICACIO C. DISTRIBUCIO - CORRECTE PERO MAXKWH MENOR A L''ANTERIOR');
DBMS_OUTPUT.PUT_LINE('	     NO ES DONA COM ERROR, PERO S''AVISA A L''USUARI');

DBMS_OUTPUT.PUT_LINE('INSTRUCCIO: PR_MODIFICA_CENTRALDIST(4,''C/MODIFCDIST 4'', NULL, NULL, NULL,800, RSP);');
PR_MODIFICA_CENTRALDIST(4,'C/MODIFCDIST 4', NULL, NULL, NULL,800,RSP);
DBMS_OUTPUT.PUT_LINE('RSP  ----> '||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('==========================================================================');
DBMS_OUTPUT.PUT_LINE('');


DBMS_OUTPUT.PUT_LINE('TEST : MODIFICACIO C. DISTRIBUCIO - CORRECTE');
DBMS_OUTPUT.PUT_LINE('INSTRUCCIO: PR_MODIFICA_CENTRALDIST(8,NULL, ''48010'', NULL, NULL,1100, RSP);');
PR_MODIFICA_CENTRALDIST(8,NULL, '48010', NULL, NULL,1100,RSP);
DBMS_OUTPUT.PUT_LINE('RSP  ----> '||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('==========================================================================');
DBMS_OUTPUT.PUT_LINE('');

END;

/

PROMPT POLSAR TECLA PER CONTINUAR....
PAUSE


DECLARE
RSP VARCHAR2(300);
BEGIN

DBMS_OUTPUT.PUT_LINE('TEST : MODIFICACIO C. PRODUCCIO - IDCPROD NO EXISTEIX');
DBMS_OUTPUT.PUT_LINE('INSTRUCCIO: PR_MODIFICA_CENTRALPROD(464646,''C/MODIFCPROD 5'', NULL, NULL, NULL,2100,''16/05/2012'', RSP);');
PR_MODIFICA_CENTRALPROD(464646,'C/MODIFCPROD 5', NULL, NULL, NULL,2100,'16/05/2012',RSP);
DBMS_OUTPUT.PUT_LINE('RSP  ----> '||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('==========================================================================');
DBMS_OUTPUT.PUT_LINE('');


DBMS_OUTPUT.PUT_LINE('TEST : MODIFICACIO C. PRODUCCIO - IDCPROD AMB VALOR NULL');
DBMS_OUTPUT.PUT_LINE('INSTRUCCIO: PR_MODIFICA_CENTRALPROD(NULL,''C/MODIFCPROD 5'', NULL, NULL, NULL,2100,''16/05/2012'', RSP);');
PR_MODIFICA_CENTRALPROD(NULL,'C/MODIFCPROD 5', NULL, NULL, NULL,2100,'16/05/2012',RSP);
DBMS_OUTPUT.PUT_LINE('RSP  ----> '||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('==========================================================================');
DBMS_OUTPUT.PUT_LINE('');


DBMS_OUTPUT.PUT_LINE('TEST : MODIFICACIO C. PRODUCCIO - DATA DARRERA INSPECC MENOR A LA QUE JA TENIA');
DBMS_OUTPUT.PUT_LINE('INSTRUCCIO: PR_MODIFICA_CENTRALPROD(1,''C/MODIFCPROD 1'', NULL, NULL, NULL,5500,''01/01/1998'', RSP);');
PR_MODIFICA_CENTRALPROD(1,'C/MODIFCPROD 1', NULL, NULL, NULL,5500,'01/01/1998',RSP);
DBMS_OUTPUT.PUT_LINE('RSP  ----> '||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('==========================================================================');
DBMS_OUTPUT.PUT_LINE('');




DBMS_OUTPUT.PUT_LINE('TEST : MODIFICACIO C. PRODUCCIO - CORRECTE PERO MAXKWH MENOR A L''ANTERIOR');
DBMS_OUTPUT.PUT_LINE('	     NO ES DONA COM ERROR, PERO S''AVISA A L''USUARI');

DBMS_OUTPUT.PUT_LINE('INSTRUCCIO: PR_MODIFICA_CENTRALPROD(5,''C/MODIFCPROD 5'', NULL, NULL, NULL,1900,''16/05/2012'', RSP);');
PR_MODIFICA_CENTRALPROD(5,'C/MODIFCPROD 5', NULL, NULL, NULL,1900,'16/05/2012',RSP);
DBMS_OUTPUT.PUT_LINE('RSP  ----> '||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('==========================================================================');
DBMS_OUTPUT.PUT_LINE('');


DBMS_OUTPUT.PUT_LINE('TEST : MODIFICACIO C. PRODUCCIO - CORRECTE');
DBMS_OUTPUT.PUT_LINE('INSTRUCCIO: PR_MODIFICA_CENTRALPROD(2,NULL, ''08010'', NULL, NULL,2100,''19/05/2012'', RSP);');
PR_MODIFICA_CENTRALPROD(2,NULL, '08010', NULL, NULL,2100,'19/05/2012',RSP);
DBMS_OUTPUT.PUT_LINE('RSP  ----> '||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('==========================================================================');
DBMS_OUTPUT.PUT_LINE('');

END;

/



-- PROVES MODIFICA LINIA
DECLARE
RSP VARCHAR2(300);
BEGIN

DBMS_OUTPUT.PUT_LINE('TEST : MODIFICACIO LINIA - IDLINIA NO EXISTEIX');
DBMS_OUTPUT.PUT_LINE('INSTRUCCIO: PR_MODIFICA_LINIA(464646,1100, RSP);');
PR_MODIFICA_LINIA(464646,1100, RSP);
DBMS_OUTPUT.PUT_LINE('RSP  ----> '||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('==========================================================================');
DBMS_OUTPUT.PUT_LINE('');


DBMS_OUTPUT.PUT_LINE('TEST : MODIFICACIO LINIA - IDLINIA AMB VALOR NULL');
DBMS_OUTPUT.PUT_LINE('INSTRUCCIO: PR_MODIFICA_LINIA(NULL,2100, RSP);');
PR_MODIFICA_LINIA(NULL,2100, RSP);
DBMS_OUTPUT.PUT_LINE('RSP  ----> '||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('==========================================================================');
DBMS_OUTPUT.PUT_LINE('');


DBMS_OUTPUT.PUT_LINE('TEST : MODIFICACIO LINIA - CORRECTE PERO MAXKWH MENOR A L''ANTERIOR');
DBMS_OUTPUT.PUT_LINE('	     NO ES DONA COM ERROR, PERO S''AVISA A L''USUARI');

DBMS_OUTPUT.PUT_LINE('INSTRUCCIO: PR_MODIFICA_LINIA(1,1400, RSP);');
PR_MODIFICA_LINIA(1,1400, RSP);
DBMS_OUTPUT.PUT_LINE('RSP  ----> '||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('==========================================================================');
DBMS_OUTPUT.PUT_LINE('');


DBMS_OUTPUT.PUT_LINE('TEST : MODIFICACIO LINIA - CORRECTE');
DBMS_OUTPUT.PUT_LINE('INSTRUCCIO: PR_MODIFICA_LINIA(2,1600, RSP);');
PR_MODIFICA_LINIA(2,1600, RSP);
DBMS_OUTPUT.PUT_LINE('RSP  ----> '||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('==========================================================================');
DBMS_OUTPUT.PUT_LINE('');

END;

/

PROMPT POLSAR TECLA PER CONTINUAR....
PAUSE



--- PROVES MODIFICACIO CONNLINIA
DECLARE
RSP VARCHAR2(300);
BEGIN

DBMS_OUTPUT.PUT_LINE('TEST : MODIFICA CONNLINIA  - VALORS NULS ');
DBMS_OUTPUT.PUT_LINE('INSTRUCCIO: PR_MODIFICA_CONNLINIA(1,NULL,1,''S'',NULL,RSP);');

PR_MODIFICA_CONNLINIA(1,NULL,1,'P',NULL,RSP);
DBMS_OUTPUT.PUT_LINE('RSP  ----> '||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('==========================================================================');
DBMS_OUTPUT.PUT_LINE('');


DBMS_OUTPUT.PUT_LINE('TEST : MODIFICA CONNLINIA  -  CONNEXIO NO EXISTEIX ');
DBMS_OUTPUT.PUT_LINE('INSTRUCCIO: PR_MODIFICA_CONNLINIA(8888,1,1,''S'',0,RSP);');

PR_MODIFICA_CONNLINIA(8888,1,1,'S',0,RSP);
DBMS_OUTPUT.PUT_LINE('RSP  ----> '||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('==========================================================================');
DBMS_OUTPUT.PUT_LINE('');



DBMS_OUTPUT.PUT_LINE('TEST : MODIFICA CONNLINIA  -  ESTAT ERRONI ');
DBMS_OUTPUT.PUT_LINE('INSTRUCCIO: PR_MODIFICA_CONNLINIA(1,1,1,''S'',3,RSP);');


PR_MODIFICA_CONNLINIA(1,1,1,'S',3,RSP);
DBMS_OUTPUT.PUT_LINE('RSP  ----> '||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('==========================================================================');
DBMS_OUTPUT.PUT_LINE('');



DBMS_OUTPUT.PUT_LINE('TEST : MODIFICA CONNLINIA  -  TIPUS ERRONI ');
DBMS_OUTPUT.PUT_LINE('INSTRUCCIO: PR_MODIFICA_CONNLINIA(1,1,1,''W'',0,RSP);');


PR_MODIFICA_CONNLINIA(1,1,1,'W',0,RSP);
DBMS_OUTPUT.PUT_LINE('RSP  ----> '||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('==========================================================================');
DBMS_OUTPUT.PUT_LINE('');



DBMS_OUTPUT.PUT_LINE('TEST : MODIFICA CONNLINIA  -  CORRECTE');
DBMS_OUTPUT.PUT_LINE('EN AQUEST CAS, DEIXAREM A LA C DIST 1 SENSE CONNEXIONS ACTIVES');
DBMS_OUTPUT.PUT_LINE('I EL SISTEMA ENS AVISARA PER SI LA VOLEM REUBICAR');
DBMS_OUTPUT.PUT_LINE('INSTRUCCIO: PR_MODIFICA_CONNLINIA(1,1,1,''S'',0,RSP);');

PR_MODIFICA_CONNLINIA(1,1,1,'S',0,RSP);
DBMS_OUTPUT.PUT_LINE('RSP  ----> '||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('==========================================================================');
DBMS_OUTPUT.PUT_LINE('');


DBMS_OUTPUT.PUT_LINE('TEST : MODIFICA CONNLINIA  -  CORRECTE');
DBMS_OUTPUT.PUT_LINE('ACTIVEM LA CONNLINIA DE LA C DISTRIBUCIO ANTERIOR');
DBMS_OUTPUT.PUT_LINE('PERO ACTIVANT LA SECUNDARIA (DE RESERVA)');

DBMS_OUTPUT.PUT_LINE('INSTRUCCIO: PR_MODIFICA_CONNLINIA(1,4,2,''P'',1,RSP);');

PR_MODIFICA_CONNLINIA(1,4,2,'P',1,RSP);
DBMS_OUTPUT.PUT_LINE('RSP  ----> '||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('==========================================================================');
DBMS_OUTPUT.PUT_LINE('');


END;
/

PROMPT POLSAR TECLA PER CONTINUAR....
PAUSE




--- PROVES MODIFICACIO CONNCOMPTADOR
DECLARE
RSP VARCHAR2(300);
BEGIN

DBMS_OUTPUT.PUT_LINE('TEST : MODIFICA CONNCOMPTADOR  - VALORS NULS ');
DBMS_OUTPUT.PUT_LINE('INSTRUCCIO: PR_MODIFICA_CONNCOMPTADOR(1,NULL,''S'',NULL,RSP);');

PR_MODIFICA_CONNCOMPTADOR(1,NULL,'P',NULL,RSP);
DBMS_OUTPUT.PUT_LINE('RSP  ----> '||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('==========================================================================');
DBMS_OUTPUT.PUT_LINE('');


DBMS_OUTPUT.PUT_LINE('TEST : MODIFICA CONNCOMPTADOR  -  CONNEXIO NO EXISTEIX ');
DBMS_OUTPUT.PUT_LINE('INSTRUCCIO: PR_MODIFICA_CONNCOMPTADOR(8888,1,''S'',0,RSP);');

PR_MODIFICA_CONNCOMPTADOR(8888,1,'S',0,RSP);
DBMS_OUTPUT.PUT_LINE('RSP  ----> '||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('==========================================================================');
DBMS_OUTPUT.PUT_LINE('');



DBMS_OUTPUT.PUT_LINE('TEST : MODIFICA CONNCOMPTADOR  -  ESTAT ERRONI ');
DBMS_OUTPUT.PUT_LINE('INSTRUCCIO: PR_MODIFICA_CONNCOMPTADOR(3,1,''S'',3,RSP);');


PR_MODIFICA_CONNCOMPTADOR(3,1,'S',3,RSP);
DBMS_OUTPUT.PUT_LINE('RSP  ----> '||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('==========================================================================');
DBMS_OUTPUT.PUT_LINE('');



DBMS_OUTPUT.PUT_LINE('TEST : MODIFICA CONNCOMPTADOR  -  TIPUS ERRONI ');
DBMS_OUTPUT.PUT_LINE('INSTRUCCIO: PR_MODIFICA_CONNCOMPTADOR(3,1,''W'',0,RSP);');


PR_MODIFICA_CONNCOMPTADOR(3,1,'W',0,RSP);
DBMS_OUTPUT.PUT_LINE('RSP  ----> '||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('==========================================================================');
DBMS_OUTPUT.PUT_LINE('');



DBMS_OUTPUT.PUT_LINE('TEST : MODIFICA CONNCOMPTADOR  -  CORRECTE');
DBMS_OUTPUT.PUT_LINE('EN AQUEST CAS, DEIXAREM AL COMPTADOR 3 SENSE CONNEXIONS ACTIVES');
DBMS_OUTPUT.PUT_LINE('I EL SISTEMA ENS AVISARA PER SI EL VOLEM REUBICAR');
DBMS_OUTPUT.PUT_LINE('INSTRUCCIO: PR_MODIFICA_CONNCOMPTADOR(3,1,''S'',0,RSP);');

PR_MODIFICA_CONNCOMPTADOR(3,1,'S',0,RSP);
DBMS_OUTPUT.PUT_LINE('RSP  ----> '||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('==========================================================================');
DBMS_OUTPUT.PUT_LINE('');


DBMS_OUTPUT.PUT_LINE('TEST : MODIFICA CONNCOMPTADOR  -  CORRECTE');
DBMS_OUTPUT.PUT_LINE('ACTIVEM LA CONNCOMPTADOR DEL COMPTADOR ANTERIOR');
DBMS_OUTPUT.PUT_LINE('PERO ACTIVANT LA SECUNDARIA (DE RESERVA)');

DBMS_OUTPUT.PUT_LINE('INSTRUCCIO: PR_MODIFICA_CONNCOMPTADOR(3,2,''P'',1,RSP);');

PR_MODIFICA_CONNCOMPTADOR(3,2,'P',1,RSP);
DBMS_OUTPUT.PUT_LINE('RSP  ----> '||RSP);
DBMS_OUTPUT.PUT_LINE('');
DBMS_OUTPUT.PUT_LINE('==========================================================================');
DBMS_OUTPUT.PUT_LINE('');


END;
/

PROMPT FI DE LES PROVES DE MODIFICACIO.
PAUSE

